<?php

/* Icinga Dependencies Web | (c) 2024 Icinga GmbH | AGPLv3 */

namespace Icinga\Module\Dependencies {

    use Icinga\Application\Icinga;
    use Icinga\Application\Modules\Module;
    use Icinga\Authentication\Auth;

    /** @var Module $this */

    $auth = Auth::getInstance();
    $authenticated = Icinga::app()->isWeb() && $auth->isAuthenticated();

    if (! $this::exists('monitoring') || ($authenticated && ! $auth->getUser()->can('module/monitoring'))) {
        $this->menuSection(N_('Overview'))->add(N_('Dependency Map'), [
            'url' => 'dependencies/map',
            'priority' => 65,
            'icon' => 'circle-nodes',
            'description' => $this->translate('Show dependency map')
        ]);
    } else {
        $this->menuSection('Icinga DB')->add(N_('Dependency Map'), [
            'url' => 'dependencies/map',
            'priority' => 45,
            'icon' => 'circle-nodes',
            'description' => $this->translate('Show dependency map')
        ]);
    }

    $this->provideJsFile('map/GroupForce.js');
    $this->provideJsFile('map/Utils.js');
    $this->provideJsFile('map/View.js');
    $this->provideJsFile('map.js');
    $this->provideJsFile('iterator.js');
    $this->provideJsFile('define-fallback.js');

    $this->provideCssFile('widget/parents-and-children.less');
    $this->provideCssFile('widget/root-problem-path.less');
    $this->provideCssFile('mixins/flyout.less');
}
