<?php

/* Icinga Dependencies Web | (c) 2024 Icinga GmbH | AGPLv3 */

namespace Icinga\Module\Dependencies\Model;

use Icinga\Module\Dependencies\Data\UnreachableParentResults;
use Icinga\Module\Icingadb\Model\UnreachableParent;
use ipl\Orm\Model;
use ipl\Orm\Query;
use ipl\Sql\Connection;
use ipl\Sql\Select;
use ipl\Stdlib\Filter;

class UnreachableParentWithPath extends UnreachableParent
{
    public static function on(Connection $db, Model $root = null): Query
    {
        return parent::on($db, $root)
            ->setFilter(Filter::all(Filter::greaterThan('level', 0)))
            ->setResultSetClass(UnreachableParentResults::class)
            ->disableDefaultSort();
    }
}
