<?php

/* Icinga Dependencies Web | (c) 2025 Icinga GmbH | AGPLv3 */

namespace Icinga\Module\Dependencies\Widget\Map;

use Icinga\Module\Icingadb\Model\DependencyNode;
use Icinga\Module\Icingadb\View\HostRenderer;
use Icinga\Module\Icingadb\View\RedundancyGroupRenderer;
use Icinga\Module\Icingadb\View\ServiceRenderer;
use ipl\Html\BaseHtmlElement;
use ipl\Web\Common\BaseTarget;
use ipl\Web\Layout\ItemLayout;

class DependencyNodeLabel extends BaseHtmlElement
{
    use BaseTarget;

    protected $tag = 'div';

    /** @var DependencyNode */
    private $item;

    public function __construct(DependencyNode $node)
    {
        $this->item = $node;
        $this->setBaseTarget('_next');
    }

    protected function assemble(): void
    {
        if ($this->item->redundancy_group_id !== null) {
            $layout = new ItemLayout($this->item->redundancy_group, new RedundancyGroupRenderer());
        } elseif ($this->item->service_id !== null) {
            $layout = new ItemLayout($this->item->service, new ServiceRenderer());
        } else {
            $layout = new ItemLayout($this->item->host, new HostRenderer());
        }

        $this->addAttributes($layout->getAttributes());
        $this->addHtml($layout);
    }
}
